This URL updates a VM group.
Resource URL
PUT /vmgroup/<VM group Id>
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| VM group ID. You can use the | number | Yes |
Payload Request Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Name of the VM group | string | No |
| Description of the VM group | string | No |
| Mode of inspection. The supported values are | string | No |
| Cluster ID associated with VM group | string | No |
| Protected objects for the VM group | object | No |
| Controller ID associated with the VM group | string | No |
Details of protectedObjects:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Type of protected object. The supported value is | string | Yes |
| Value of the protected object. For example, if the protected object is | string | Yes |
Response Parameters
Following fields are returned in the response.
Field Name | Description | Data Type |
|---|---|---|
| Indicates if the update of VM group is successful. Value is set to Value is set to | string |
| Not applicable | Not applicable |
| Not applicable | Not applicable |
| Not applicable | Not applicable |
| Not applicable | Not applicable |
Example
Request
PUT https://<NSM_IP>/intruvert/webservice/api/v1/cloud/vmgroup/12
Payload
{ "groupName": "vmgroupforupdate",
"description": "Updated group name",
"inspectionMode": "ips",
"clusterId": 1,
"protectedObjects": [
{"type": "cidr", "value": "1.1.1.73/32"}
],
"controllerId": 1
}Response
{
"success": true,
"msg": null,
"errMsg": null,
"domainName": null,
"data": 1
}